com.sun.grid.jgdi.event

## Class EventFactory

- java.lang.Object
- - com.sun.grid.jgdi.event.EventFactoryBase
  - - com.sun.grid.jgdi.event.EventFactory

-     public class EventFactory
      extends EventFactoryBase

  Factory class for all List/Del/Add/Mod Events of cull objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddEvent` | `createAddEvent(java.lang.String name, long timestamp, int eventId)` Create a add event for a cull type
    `static DelEvent` | `createDelEvent(java.lang.String name, long timestamp, int eventId)` Create a del event for a cull type
    `static ListEvent` | `createListEvent(java.lang.String name, long timestamp, int eventId)` Create a list event for a cull type
    `static ModEvent` | `createModEvent(java.lang.String name, long timestamp, int eventId)` Create a mod event for a cull type

    - ### Methods inherited from class com.sun.grid.jgdi.event.EventFactoryBase

      `createJobFinalUsageEvent, createJobFinishEvent, createJobPriorityModEvent, createJobUsageEvent, createQmasterGoesDownEvent, createQueueInstanceSuspendEvent, createQueueInstanceUnsuspendEvent, createSchedulerRunEvent, createShutdownEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventFactory

          public EventFactory()

  - ### Method Detail

    - #### createListEvent

          public static ListEvent createListEvent(java.lang.String name,
                                                  long timestamp,
                                                  int eventId)

      Create a list event for a cull type
      Parameters:
        `name` - name of the cull type
        `timestamp` - timestamp when the list event occured
        `eventId` - unique id of the event
      Returns:
        the list event

    - #### createAddEvent

          public static AddEvent createAddEvent(java.lang.String name,
                                                long timestamp,
                                                int eventId)

      Create a add event for a cull type
      Parameters:
        `name` - name of the cull type
        `timestamp` - timestamp when the add event occured
        `eventId` - unique id of the event
      Returns:
        the add event

    - #### createModEvent

          public static ModEvent createModEvent(java.lang.String name,
                                                long timestamp,
                                                int eventId)

      Create a mod event for a cull type
      Parameters:
        `name` - name of the cull type
        `timestamp` - timestamp when the mod event occured
        `eventId` - unique id of the event
      Returns:
        the mod event

    - #### createDelEvent

          public static DelEvent createDelEvent(java.lang.String name,
                                                long timestamp,
                                                int eventId)

      Create a del event for a cull type
      Parameters:
        `name` - name of the cull type
        `timestamp` - timestamp when the del event occured
        `eventId` - unique id of the event
      Returns:
        the del event

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.